ResizeFeaturesBase (JavaFX 28)
Description: declaration: module: javafx.controls, package: javafx.scene.control, class: ResizeFeaturesBase

# Class ResizeFeaturesBase<S>

java.lang.Object
javafx.scene.control.ResizeFeaturesBase<S>

Type Parameters:
  `S` - the type of the objects contained within the control's items list

Direct Known Subclasses:
  `TableView.ResizeFeatures, TreeTableView.ResizeFeatures`

public abstract class ResizeFeaturesBase<S> extends Object
A wrapper class for use by the column resize policies offered by controls such as `TableView` and `TreeTableView`.

Since:
  JavaFX 8.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResizeFeaturesBase(TableColumnBase<S,?> column, Double delta)`
  Creates an instance of this class, with the provided TableColumnBase and delta values being set and stored in this immutable instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableColumnBase<S,?>`
  `getColumn()`
  Returns the column upon which the resize is occurring, or null if this ResizeFeatures instance was created as a result of a resize operation.
  `abstract double`
  `getContentWidth()`
  Returns the width of the area available for columns.
  `Double`
  `getDelta()`
  Returns the amount of horizontal space added or removed in the resize operation.
  `abstract Control`
  `getTableControl()`
  Returns the associated TreeView or TreeTableView control.
  `void`
  `setColumnWidth(TableColumnBase<S,?> col, double width)`
  Sets the column width during the resizing pass.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResizeFeaturesBase

    public ResizeFeaturesBase(TableColumnBase<S,?> column, Double delta)
    Creates an instance of this class, with the provided TableColumnBase and delta values being set and stored in this immutable instance.
    Parameters:
      `column` - The column upon which the resize is occurring, or null if this ResizeFeatures instance is being created as a result of a resize operation.
      `delta` - The amount of horizontal space added or removed in the resize operation.

- ## Method Details

  - ### getContentWidth

    public abstract double getContentWidth()
    Returns the width of the area available for columns.
    Returns:
      the width available for columns
    Since:
      20

  - ### getTableControl

    public abstract Control getTableControl()
    Returns the associated TreeView or TreeTableView control.
    Returns:
      the control in which the resize is occurring
    Since:
      20

  - ### getColumn

    public TableColumnBase<S,?> getColumn()
    Returns the column upon which the resize is occurring, or null if this ResizeFeatures instance was created as a result of a resize operation.
    Returns:
      the column upon which the resize is occurring

  - ### getDelta

    public Double getDelta()
    Returns the amount of horizontal space added or removed in the resize operation.
    Returns:
      the amount of horizontal space added or removed in the resize operation

  - ### setColumnWidth

    public void setColumnWidth(TableColumnBase<S,?> col, double width)
    Sets the column width during the resizing pass.
    Parameters:
      `col` - column being changed
      `width` - desired column width
    Since:
      20